%define oname	mapper

#define prel	RC2
%define rel	7

Name:		openorienteering-%{oname}
Summary:	An orienteering map making program
Version:	0.9.5
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	GPLv3
Group:		Sciences/Geosciences
Url:		https://oorienteering.sourceforge.net/
Source0:	https://github.com/OpenOrienteering/mapper/archive/v%{version}/%{oname}-%{version}.tar.gz
Source1:	mageia-licensing.cmake
Patch0001:	0001-Use-system-QtSingleApplication.patch
BuildRequires:	cmake >= 1:3.16.2-2
BuildRequires:	git-core
BuildRequires:	dos2unix
BuildRequires:	doxygen

#for BETA2007.gsb
BuildRequires:	proj
Requires:	proj

#for LICENSE.TXT
BuildRequires:	gdal

BuildRequires:	pkgconfig(gdal)
BuildRequires:	pkgconfig(polyclipping)
BuildRequires:	pkgconfig(proj) >= 4.8.0
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Sensors)
BuildRequires:	pkgconfig(Qt5SerialPort)
BuildRequires:	pkgconfig(Qt5Positioning)
BuildRequires:	cups-devel
BuildRequires:	qttools5-assistant
BuildRequires:	qttools5
BuildRequires:	qtsingleapplication-qt5-devel

Provides:	%{oname} = %{version}-%{release}

%description
OpenOrienteering Mapper is an orienteering map making program.

%prep
%autosetup -n mapper-%{version} -p1 -S git_am

install -Dpm644 %{_sourcedir}/mageia-licensing.cmake doc/licensing/mageia-licensing.cmake

#build with system libs
rm -rf 3rd-party/qtsingleapplication/ 3rd-party/clipper/

%build
%cmake_qt5 \
	-DMapper_BUILD_CLIPPER:BOOL=OFF \
	-DMapper_BUILD_DOXYGEN:BOOL=OFF
%cmake_build

%install
%cmake_install

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

%files
%{_bindir}/Mapper
%{_datadir}/%{name}/
%{_mandir}/man?/Mapper.*
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/*/*.png


%changelog
* Thu Jan 04 2024 daviddavid <daviddavid> 0.9.5-7.mga10
+ Revision: 2027450
- rebuild for new gdal

* Wed Nov 01 2023 daviddavid <daviddavid> 0.9.5-6.mga10
+ Revision: 2003433
- rebuild for new gdal 3.7.2

* Tue Dec 06 2022 eatdirt <eatdirt> 0.9.5-5.mga9
+ Revision: 1918740
- Rebuild for new gdal

* Sat May 07 2022 eatdirt <eatdirt> 0.9.5-4.mga9
+ Revision: 1856581
- Rebuild for new proj
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Dec 11 2021 eatdirt <eatdirt> 0.9.5-2.mga9
+ Revision: 1761503
- Rebuild for new gdal

* Thu Jul 15 2021 wally <wally> 0.9.5-1.mga9
+ Revision: 1736138
- new version 0.9.5

* Thu May 06 2021 daviddavid <daviddavid> 0.9.4-5.mga9
+ Revision: 1721868
- rebuild for new gdal 3.3.0

* Thu Mar 25 2021 daviddavid <daviddavid> 0.9.4-4.mga9
+ Revision: 1710152
- rebuild for new gdal 3.2.2

* Thu Jan 14 2021 luigiwalser <luigiwalser> 0.9.4-3.mga8
+ Revision: 1671689
- rebuild for missing signature

* Thu Dec 17 2020 umeabot <umeabot> 0.9.4-2.mga8
+ Revision: 1659218
- Rebuild for new Qt5

* Sun Nov 22 2020 wally <wally> 0.9.4-1.mga8
+ Revision: 1648406
- new version 0.9.4

* Sat Oct 31 2020 akien <akien> 0.9.3-3.mga8
+ Revision: 1640847
- Rebuild against gdal with fixed netcdf major dep

* Thu Jul 16 2020 daviddavid <daviddavid> 0.9.3-2.mga8
+ Revision: 1606565
- add upstream patch to fix build against Qt 5.15
- rebuild for new gdal 3.1.2

* Sat May 30 2020 wally <wally> 0.9.3-1.mga8
+ Revision: 1589089
- new version 0.9.3

* Fri Mar 20 2020 eatdirt <eatdirt> 0.9.2-2.mga8
+ Revision: 1558236
- Rebuild for new libproj

* Sun Mar 15 2020 daviddavid <daviddavid> 0.9.2-1.mga8
+ Revision: 1556498
- new version: 0.9.2
- rebuild for new gdal 3.0.4
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- remove unneeded ACCEPT_USE_OF_DEPRECATED_PROJ_API_H from build flags

* Thu Dec 26 2019 wally <wally> 0.9.1-1.mga8
+ Revision: 1470092
- new version 0.9.1

* Sun Mar 31 2019 umeabot <umeabot> 0.8.4-3.mga7
+ Revision: 1383635
- Qt5 Rebuild

* Fri Mar 08 2019 eatdirt <eatdirt> 0.8.4-2.mga7
+ Revision: 1372899
- Rebuild and fix for new libproj 6.0

* Thu Dec 27 2018 wally <wally> 0.8.4-1.mga7
+ Revision: 1345333
- new version 0.8.4

* Fri Aug 31 2018 daviddavid <daviddavid> 0.8.2-1.mga7
+ Revision: 1255998
- new version: 0.8.2 (mga#23507)

* Sun Apr 22 2018 wally <wally> 0.8.1.1-1.mga7
+ Revision: 1220891
- new version 0.8.1.1

* Sat Mar 17 2018 wally <wally> 0.8.1-1.mga7
+ Revision: 1210067
- new version 0.8.1

* Sat Mar 17 2018 daviddavid <daviddavid> 0.7.0-4.mga7
+ Revision: 1210013
- rebuild for new proj 5.0.0

* Tue Nov 21 2017 tv <tv> 0.7.0-3.mga7
+ Revision: 1178363
- rebuild for new libproj

* Sat Oct 07 2017 wally <wally> 0.7.0-2.mga7
+ Revision: 1169858
- add patch to build with system QtSingleApplication

* Thu Oct 05 2017 wally <wally> 0.7.0-1.mga7
+ Revision: 1169250
- new version 0.7.0
- drop unneeded patches

* Sat Jan 07 2017 wally <wally> 0.6.7-1.mga6
+ Revision: 1080566
- new version 0.6.7

* Mon Sep 19 2016 akien <akien> 0.6.4-3.mga6
+ Revision: 1054424
- Rebuild again for polyclipping, for real this time

* Mon Sep 19 2016 akien <akien> 0.6.4-2.mga6
+ Revision: 1054306
- Rebuild for polyclipping 6.4

* Mon Aug 15 2016 wally <wally> 0.6.4-1.mga6
+ Revision: 1046486
- new version 0.6.4

* Fri May 20 2016 tv <tv> 0.6.1-2.mga6
+ Revision: 1017108
- rebuild for new libproj

* Mon Mar 14 2016 wally <wally> 0.6.1-1.mga6
+ Revision: 990428
- new version 0.6.1

* Thu Dec 17 2015 wally <wally> 0.5.97-1.mga6
+ Revision: 911417
- new version 0.5.97
- drop unneeded patches

* Sun Sep 20 2015 wally <wally> 0.5.96-2.mga6
+ Revision: 881852
- build with debug symbols enabled

* Mon Aug 17 2015 wally <wally> 0.5.96-1.mga6
+ Revision: 865329
- add patch to fix build with Qt5.5
- new version 0.5.96
- drop patches from usptream

* Sat Nov 08 2014 spuhler <spuhler> 0.5.3-6.mga5
+ Revision: 796057
- rebuild with updated polyclipping

* Wed Oct 15 2014 umeabot <umeabot> 0.5.3-5.mga5
+ Revision: 740736
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.3-4.mga5
+ Revision: 683229
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 wally <wally> 0.5.3-3.mga5
+ Revision: 672611
- add rediffed patches from upstream git to build with system polyclipping
- add patch to fix build with new cmake

* Mon Oct 21 2013 umeabot <umeabot> 0.5.3-2.mga4
+ Revision: 538823
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 wally <wally> 0.5.3-1.mga4
+ Revision: 490446
- new version 0.5.3

* Sun Aug 04 2013 wally <wally> 0.5.2-1.mga4
+ Revision: 463585
- new version 0.5.2
- build with clipper 5.1.6

* Sun Jul 21 2013 wally <wally> 0.5.2-0.RC2.1.mga4
+ Revision: 456854
- new version 0.5.2 RC2
- build with clipper 5.1.5 (add patch from upstream)
- switch to Qt5

* Sat Jul 20 2013 wally <wally> 0.5.1-1.mga4
+ Revision: 456587
- imported package openorienteering-mapper

